#
# spec file for package ucl
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         sover 1
%define libname lib%{name}%{sover}
Name:           ucl
Version:        1.03
Release:        lp151.3.3.1
Summary:        The UCL Compression Library
License:        GPL-2.0-or-later
Group:          Development/Libraries/C and C++
URL:            https://www.oberhumer.com/opensource/ucl/
Source0:        http://www.oberhumer.com/opensource/ucl/download/ucl-%{version}.tar.gz
Patch1:         upx-207.patch
BuildRequires:  gcc-c++

%description
This package contains a lossless data compression library written in
ANSI C. UCL implements the NRV compression algorithms. Compared to
LZO, decompression time is traded for compression ratio.

%package -n %{libname}
Summary:        The UCL compression library
Group:          System/Libraries

%description -n %{libname}
This package contains a lossless data compression library written in
ANSI C. UCL implements the NRV compression algorithms. Compared to
LZO, decompression time is traded for compression ratio.

%package devel
Summary:        Development files for the UCL library
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}
Provides:       %{libname}-devel = %{version}
Obsoletes:      %{libname}-devel < %{version}

%description devel
Headers and other development files for UCL library.

%prep
%autosetup -p1

%build
export CFLAGS="%{optflags} -std=c90"
export CXXFLAGS="%{optflags} -std=c90"
%configure \
  --disable-static \
  --enable-shared
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%check
make %{?_smp_mflags} check

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%license COPYING
%{_libdir}/libucl.so.%{sover}*

%files devel
%doc NEWS README THANKS TODO
%{_includedir}/ucl
%{_libdir}/libucl.so

%changelog
* Thu Jan 23 2020 Jan Engelhardt <jengelh@inai.de>
- Add upx-207.patch
  [CVE-2018-11243 partially - ticket 207 ONLY, boo#1094138]
* Fri Jan 10 2020 Martin Pluskal <mpluskal@suse.com>
- Modernise spec file
* Sat Sep 30 2017 jengelh@inai.de
- Trim description boasting.
  Remove --with-pic which is useless for --enable-shared builds.
* Thu Aug  3 2017 mpluskal@suse.com
- Rename package
* Sat Jun 18 2016 mpluskal@suse.com
- Fix building with gcc6 (boo#985136)
* Sat Mar  7 2015 mpluskal@suse.com
- Use url for source
- Cleanup spec file with spec-cleaner
- Do not include buildtime
* Thu Mar 22 2012 cfarrell@suse.com
- license update: GPL-2.0+
  No evidence of GPL-2.0 (i.e. only) files in the package
* Tue Feb  3 2009 crrodriguez@suse.de
- remove "la" files
- fix devel package deps
* Mon Jan 26 2009 pgajdos@suse.cz
- package renamed to libucl1
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Aug 10 2004 tcrhak@suse.cz
- update to 1.03
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Mon Jan 14 2002 rvasice@suse.cz
- update to version 1.01
- use %%{_libdir}
- fixed URL in spec file
* Tue Jun 19 2001 rvasice@suse.cz
- fixed configure params
* Thu Jun 14 2001 rvasice@suse.cz
- initial package release (version 0.92)
